---
title: llarp::LinksConfig::LinkInfo

---

# llarp::LinksConfig::LinkInfo





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[m_interface](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md#variable-m-interface)**  |
| int | **[addressFamily](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md#variable-addressfamily)**  |
| uint16_t | **[port](Classes/structllarp_1_1LinksConfig_1_1LinkInfo.md#variable-port)**  |

## Public Attributes Documentation

### variable m_interface

```cpp
std::string m_interface;
```


### variable addressFamily

```cpp
int addressFamily = -1;
```


### variable port

```cpp
uint16_t port = -1;
```


-------------------------------

Updated on 2022-05-31 at 14:31:00 +0000